Bug 1298322 - RHEV reports should not be needed for C&U, just DWH
RHEV reports should not be needed for C&U, just DWH
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.6.0
Assigned To: Moti Asayag
Nandini Chandra
rhev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 13:57 EST by Sergio Ocon
Modified: 2016-06-07 18:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-07 18:47:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Ocon 2016-01-13 13:57:35 EST
Description of problem:
When connecting to RHEV, you need to configure both DWH and reports to connect to the database.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHEV, add DWH
2. Try to connect using CF
3. 

Actual results:
It fails, you need to add reports for it to work

Expected results:
You don't need to install reports, as the data is in the database, you integrate directly with DWH

Additional info:
Adding reports in RHEV implies using JasperReports, it does not make sense to have that interface running and could be a security risk, if data is only needed.
Comment 3 Moti Asayag 2016-05-25 09:58:45 EDT
(In reply to Sergio Ocon from comment #0)
> Description of problem:
> When connecting to RHEV, you need to configure both DWH and reports to
> connect to the database.
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Install RHEV, add DWH
> 2. Try to connect using CF
> 3. 
> 
> Actual results:
> It fails, you need to add reports for it to work

Could you elaborate about the failure you're facing ? 

> 
> Expected results:
> You don't need to install reports, as the data is in the database, you
> integrate directly with DWH
> 
> Additional info:
> Adding reports in RHEV implies using JasperReports, it does not make sense
> to have that interface running and could be a security risk, if data is only
> needed.

In ovirt-engine-3.6 and ovirt-dwh-3.6 there is no requirement for having reports installed.

Could you explain where the dependency in Reports comes from ?
Comment 4 Sergio Ocon 2016-05-25 11:35:28 EDT
I tried with 3.5 and it didn't work until I installed DWH.

I will have to try again.
Comment 5 Yaniv Lavi (Dary) 2016-06-07 18:47:56 EDT
You need to install just the dwh with:
# yum install rhevm-dwh

Note You need to log in before you can comment on or make changes to this bug.